<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/company/models/company';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from '@/app/components/vue/RouterLink.vue';
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Компании'),
            model: model,
            http: {
                path: 'companies',
                query: {},
            },
            actions: ['show', 'update', 'delete'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="companies/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
